/*
 * MeasureToolListener.java
 *
 * Created on April 22, 2005, 2:47 PM
 */

package ika.map.tools;

/**
 * MeasureToolListener - a listener for events generated by a MeasureTool.
 * @author Bernhard Jenny, Institute of Cartography, ETH Zurich.
 */
public interface MeasureToolListener {
   /**
    * The measure tool has computed a new distance.
    * @param distance The new distance.
    */
   void distanceChanged(double distance, double angle, ika.gui.MapComponent mapComponent);

   /**
    * The measure tool has changed the current position.
    * @param distance The new distance.
    */
   void positionChanged(double x1, double y1, double x2, double y2, ika.gui.MapComponent mapComponent);

   /**
    * The mouse has been released, the line is therefore not visible anymore
    * in the map.
    */
   void clearDistance();
}
